<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Home_Work_#1</title>
</head>
<body>

    <h1>HTML</h1>

<p align="justify">Язык  &ensp;&ensp;<b>HTML</b>&ensp;&ensp;   интерпретируется <a href="https://ru.wikipedia.org/wiki/Браузер" title="https://ru.wikipedia.org/wiki/Браузер" target="_blank"><u>браузерами</u></a>; &ensp;полученный&ensp; в &ensp;результате интерпретации<br>
форматированный текст отображается на экране монитора компьютера или мобильного устройства.<br>
Язык <i>HTML</i> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org/wiki/SGML" title="https://ru.wikipedia.org/wiki/SGML" target="_blank"><u>SGML</u></a> (стандартного обобщённого языка<br>
разметки      &ensp;&ensp;по&ensp;&ensp;      стандарту <a href="https://ru.wikipedia.org/wiki/ISO" title="https://ru.wikipedia.org/wiki/ISO" target="_blank"><u>ISO</u></a> 8879).&ensp;&ensp;      Спецификации    &ensp;&ensp;&ensp;HTML5&ensp;&ensp;&ensp;    формулируются в<br>
терминах <a href="https://ru.wikipedia.org/wiki/DOM" title="https://ru.wikipedia.org/wiki/DOM" target="_blank"><u><i>DOM</i></u></a> (объектной модели документа).<br>
Язык <a href="https://ru.wikipedia.org/wiki/XHTML" title="https://ru.wikipedia.org/wiki/XHTML" target="_blank"><u><i>XHTML</i></u></a> является более строгим вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML" title="https://ru.wikipedia.org/wiki/XML" target="_blank"><u>XML</u></a> и является<br>
приложением языка XML в области разметки гипертекста.<br>
Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по<br>
протоколам <a href="https://ru.wikipedia.org/wiki/HTTP" title="https://ru.wikipedia.org/wiki/HTTP" target="_blank"><u><i>HTTP</i></u></a> или <a href="https://ru.wikipedia.org/wiki/https" title="https://ru.wikipedia.org/wiki/HTTPS" target="_blank"><u><i>HTTPS</i></u></a>, в виде простого текста или с использованием <a href="https://ru.wikipedia.org/wiki/шифрование" title="https://ru.wikipedia.org/wiki/Шифрование" target="_blank"><u>шифрования.</u></a></p>

<h1>Общее представление</h1>

Язык HTML был разработан <a href="https://ru.wikipedia.org/wiki/Британия" title="https://ru.wikipedia.org/wiki/Британия" target="_blank"><u><i>британским </i></u></a> учёным <a href="https://ru.wikipedia.org/wiki/Бернерс-Ли_Тим" title="https://ru.wikipedia.org/wiki/Бернерс-Ли_Тим" target="_blank"><b><u>Тимом Бернерсом-Ли</u></a></b> приблизительно в <a href="https://ru.wikipedia.org/wiki/1986_год" title="https://ru.wikipedia.org/wiki/1986_год" target="_blank"><u><i>1986—</i></u></a><br>
<a href="https://ru.wikipedia.org/wiki/1991_год" title="https://ru.wikipedia.org/wiki/1991_год" target="_blank"><u><i>1991</i></u></a> годах в стенах <a href="https://ru.wikipedia.org/wiki/ЦЕРН" title="https://ru.wikipedia.org/wiki/ЦЕРН" target="_blank"><u><i>ЦЕРНа</i></u></a>  в <a href="https://ru.wikipedia.org/wiki/Женева" title="https://ru.wikipedia.org/wiki/Женева" target="_blank"><u><i>Женеве</i></u></a> в <a href="https://ru.wikipedia.org/wiki/Швейцария" title="https://ru.wikipedia.org/wiki/Швейцария" target="_blank"><u><i>Швейцарии</i></u></a>. HTML создавался как язык для обмена научной<br>
и технической документацией, пригодный для использования людьми, не являющимися<br>
специалистами в области <a href="https://ru.wikipedia.org/wiki/Вёрстка" title="https://ru.wikipedia.org/wiki/Вёрстка" target="_blank"><u><i>вёрстки</i></u></a>. HTML успешно справлялся с проблемой сложности SGML путём<br>
определения небольшого набора структурных и <a href="https://ru.wikipedia.org/wiki/Семантика" title="https://ru.wikipedia.org/wiki/Семантика" target="_blank"><b><u>семантических элементов</u></b></a> — дескрипторов.<br>
Дескрипторы также часто называют «<a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D1%8F%D0%B7%D1%8B%D0%BA%D0%B8_%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B8)" title="//ru.wikipedia.org/wiki/Тег_(языки_разметки)" target="_blank"><b><i>тегами</i></b></a>». С помощью HTML можно легко создать<br>
относительно простой, но красиво оформленный документ. Помимо упрощения структуры<br>
документа, в HTML внесена поддержка <a href="https://ru.wikipedia.org/wiki/Гипертекст" title="https://ru.wikipedia.org/wiki/Гипертекст" target="_blank"><u><i>гипертекста.</i></u></a>  <a href="https://ru.wikipedia.org/wiki/Мультимедиа" title="https://ru.wikipedia.org/wiki/Мультимедиа" target="_blank"><u><i>Мультимедийные</i></u></a> возможности были<br>
добавлены позже.<br>
Изначально язык HTML был задуман и создан как средство структурирования и форматирования<br>
документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с<br>
разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на<br>
оборудовании с различной технической оснащённостью (цветной экран современного компьютера,<br>
монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или<br>
устройства и программы голосового воспроизведения текстов). Однако современное применение<br>
HTML очень далеко от его изначальной задачи. Например, тег <abbr><&zwj;table&zwj;></abbr> предназначен для создания в<br>
документах таблиц, но иногда используется и для оформления размещения элементов на странице.<br>
С течением времени основная идея платформо независимости языка HTML была принесена в<br>
жертву современным потребностям в мультимедийном и графическом оформлении.<br>
Браузеры<br>
Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно<br>
имеют <a href="https://ru.wikipedia.org/wiki/%D0%A0%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%B8%D0%B5_%D0%B8%D0%BC%D0%B5%D0%BD%D0%B8_%D1%84%D0%B0%D0%B9%D0%BB%D0%B0" title="https://ru.wikipedia.org/wiki/Расширение_имени_файла" target="_blank"><u><i>расширение</i></u></a> <b>.html</b> или <b>.htm</b>), обрабатываются специальными <a href="https://ru.wikipedia.org/wiki/Прикладное_программное_обеспечение" title="https://ru.wikipedia.org/wiki/Прикладное_программное_обеспечение" target="_blank"><u><i>приложениями</i></u></a>, которые<br>
отображают документ в его форматированном виде. Такие приложения, называемые «браузерами»<br>
или «интернет-обозревателями», обычно предоставляют пользователю удобный <a href="https://ru.wikipedia.org/wiki/Пользовательский_интерфейс" title="https://ru.wikipedia.org/wiki/Пользовательский_интерфейс" target="_blank"><u><i>интерфейс</i></u></a> для<br>
запроса <a href="https://ru.wikipedia.org/wiki/Веб-страница" title="https://ru.wikipedia.org/wiki/Веб-страница" target="_blank"><u><i>веб-страниц</i></u></a>, их просмотра (и вывода на иные внешние устройства) и, при необходимости,<br>
отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день<br>
браузерами являются <b><a href="https://ru.wikipedia.org/wiki/Google_Chrome" title="https://ru.wikipedia.org/wiki/Google_Chrome" target="_blank">Google Chrome</a>, <a href="https://ru.wikipedia.org/wiki/Mozilla_Firefox" title="https://ru.wikipedia.org/wiki/Mozilla_Firefox" target="_blank">Mozilla Firefox</a>, <a href="https://ru.wikipedia.org/wiki/Opera" title="https://ru.wikipedia.org/wiki/Opera" target="_blank">Opera</a>, <a href="https://ru.wikipedia.org/wiki/Internet_Explorer" title="https://ru.wikipedia.org/wiki/Internet_Explorer" target="_blank">Internet Explorer</a> и <a href="https://ru.wikipedia.org/wiki/Safari" title="https://ru.wikipedia.org/wiki/Safari" target="_blank">Safari</b></a>.<br>

</body>
</html>


